Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.action
Class ActionInvocation<S extends Service>

    java.lang.Object
      org.teleal.cling.model.action.ActionInvocation<S>

    public class ActionInvocation<S extends Service>

extends Object

The input, output, and failure values of an action invocation.

Author:
  Christian Bauer

Field Summary
`protected Action<S>` | `action`
`protected ActionException` | `failure`
`protected Map<String,ActionArgumentValue<S>>` | `input`
`protected Map<String,ActionArgumentValue<S>>` | `output`

Constructor Summary
`ActionInvocation(Action<S> action)`
`ActionInvocation(Action<S> action, ActionArgumentValue<S>[] input)`
`ActionInvocation(Action<S> action, ActionArgumentValue<S>[] input, ActionArgumentValue<S>[] output)`
`ActionInvocation(ActionException failure)`

Method Summary
`Action<S>` | `getAction()`
`ActionException` | `getFailure()`
`ActionArgumentValue<S>[]` | `getInput()`
`ActionArgumentValue<S>` | `getInput(ActionArgument<S> argument)`
`ActionArgumentValue<S>` | `getInput(String argumentName)`
`protected ActionArgument<S>` | `getInputArgument(String name)`
`Map<String,ActionArgumentValue<S>>` | `getInputMap()`
`ActionArgumentValue<S>[]` | `getOutput()`
`ActionArgumentValue<S>` | `getOutput(ActionArgument<S> argument)`
`ActionArgumentValue<S>` | `getOutput(String argumentName)`
`protected ActionArgument<S>` | `getOutputArgument(String name)`
`Map<String,ActionArgumentValue<S>>` | `getOutputMap()`
`void` | `setFailure(ActionException failure)`
`void` | `setInput(ActionArgumentValue<S> value)`
`void` | `setInput(ActionArgumentValue<S>[] input)`
`void` | `setInput(String argumentName, Object value)`
`void` | `setOutput(ActionArgumentValue<S> value)`
`void` | `setOutput(ActionArgumentValue<S>[] output)`
`void` | `setOutput(String argumentName, Object value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### action

    protected final Action<S extends Service> action

### input

    protected Map<String,ActionArgumentValue<S extends Service>> input

### output

    protected Map<String,ActionArgumentValue<S extends Service>> output

### failure

    protected ActionException failure

Constructor Detail

### ActionInvocation

    public ActionInvocation(Action<S> action)

### ActionInvocation

    public ActionInvocation(Action<S> action,
                            ActionArgumentValue<S>[] input)

### ActionInvocation

    public ActionInvocation(Action<S> action,
                            ActionArgumentValue<S>[] input,
                            ActionArgumentValue<S>[] output)

### ActionInvocation

    public ActionInvocation(ActionException failure)

Method Detail

### getAction

    public Action<S> getAction()

### getInput

    public ActionArgumentValue<S>[] getInput()

### getInput

    public ActionArgumentValue<S> getInput(String argumentName)

### getInput

    public ActionArgumentValue<S> getInput(ActionArgument<S> argument)

### getInputMap

    public Map<String,ActionArgumentValue<S>> getInputMap()

### getOutput

    public ActionArgumentValue<S>[] getOutput()

### getOutput

    public ActionArgumentValue<S> getOutput(String argumentName)

### getOutputMap

    public Map<String,ActionArgumentValue<S>> getOutputMap()

### getOutput

    public ActionArgumentValue<S> getOutput(ActionArgument<S> argument)

### setInput

    public void setInput(String argumentName,
                         Object value)
                  throws InvalidValueException

  Throws:
    `InvalidValueException`

### setInput

    public void setInput(ActionArgumentValue<S> value)

### setInput

    public void setInput(ActionArgumentValue<S>[] input)

### setOutput

    public void setOutput(String argumentName,
                          Object value)
                   throws InvalidValueException

  Throws:
    `InvalidValueException`

### setOutput

    public void setOutput(ActionArgumentValue<S> value)

### setOutput

    public void setOutput(ActionArgumentValue<S>[] output)

### getInputArgument

    protected ActionArgument<S> getInputArgument(String name)

### getOutputArgument

    protected ActionArgument<S> getOutputArgument(String name)

### getFailure

    public ActionException getFailure()

  Returns:
    `null` if execution was successful, failure details otherwise.

### setFailure

    public void setFailure(ActionException failure)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.